# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'downloadOSMPictureDialog.ui'
#
# Created: Fri May  6 21:15:18 2016
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_downloadOSMPictureDialog(object):
    def setupUi(self, downloadOSMPictureDialog):
        downloadOSMPictureDialog.setObjectName("downloadOSMPictureDialog")
        downloadOSMPictureDialog.resize(290, 281)
        self.verticalLayout = QtWidgets.QVBoxLayout(downloadOSMPictureDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox = QtWidgets.QGroupBox(downloadOSMPictureDialog)
        self.groupBox.setObjectName("groupBox")
        self.formLayout = QtWidgets.QFormLayout(self.groupBox)
        self.formLayout.setObjectName("formLayout")
        self.label = QtWidgets.QLabel(self.groupBox)
        self.label.setObjectName("label")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label)
        self.NWcornerSpec_edit = QtWidgets.QLineEdit(self.groupBox)
        self.NWcornerSpec_edit.setObjectName("NWcornerSpec_edit")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.NWcornerSpec_edit)
        self.label_2 = QtWidgets.QLabel(self.groupBox)
        self.label_2.setObjectName("label_2")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_2)
        self.SEcornerSpec_edit = QtWidgets.QLineEdit(self.groupBox)
        self.SEcornerSpec_edit.setObjectName("SEcornerSpec_edit")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.SEcornerSpec_edit)
        self.fullMapRange_button = QtWidgets.QToolButton(self.groupBox)
        self.fullMapRange_button.setObjectName("fullMapRange_button")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.fullMapRange_button)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(downloadOSMPictureDialog)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.label_5 = QtWidgets.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setItalic(True)
        self.label_5.setFont(font)
        self.label_5.setWordWrap(True)
        self.label_5.setObjectName("label_5")
        self.verticalLayout_2.addWidget(self.label_5)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.scale_edit = QtWidgets.QSpinBox(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.scale_edit.sizePolicy().hasHeightForWidth())
        self.scale_edit.setSizePolicy(sizePolicy)
        self.scale_edit.setMinimum(1024)
        self.scale_edit.setMaximum(16777216)
        self.scale_edit.setSingleStep(1024)
        self.scale_edit.setProperty("value", 2097152)
        self.scale_edit.setObjectName("scale_edit")
        self.horizontalLayout.addWidget(self.scale_edit)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.verticalLayout.addWidget(self.groupBox_2)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.cancel_button = QtWidgets.QPushButton(downloadOSMPictureDialog)
        self.cancel_button.setObjectName("cancel_button")
        self.horizontalLayout_2.addWidget(self.cancel_button)
        self.OK_button = QtWidgets.QPushButton(downloadOSMPictureDialog)
        self.OK_button.setObjectName("OK_button")
        self.horizontalLayout_2.addWidget(self.OK_button)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem2)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.label.setBuddy(self.NWcornerSpec_edit)
        self.label_2.setBuddy(self.SEcornerSpec_edit)

        self.retranslateUi(downloadOSMPictureDialog)
        QtCore.QMetaObject.connectSlotsByName(downloadOSMPictureDialog)
        downloadOSMPictureDialog.setTabOrder(self.NWcornerSpec_edit, self.SEcornerSpec_edit)
        downloadOSMPictureDialog.setTabOrder(self.SEcornerSpec_edit, self.fullMapRange_button)
        downloadOSMPictureDialog.setTabOrder(self.fullMapRange_button, self.scale_edit)
        downloadOSMPictureDialog.setTabOrder(self.scale_edit, self.OK_button)
        downloadOSMPictureDialog.setTabOrder(self.OK_button, self.cancel_button)

    def retranslateUi(self, downloadOSMPictureDialog):
        _translate = QtCore.QCoreApplication.translate
        downloadOSMPictureDialog.setWindowTitle(_translate("downloadOSMPictureDialog", "OpenStreetMap download"))
        self.groupBox.setTitle(_translate("downloadOSMPictureDialog", "Image corners"))
        self.label.setText(_translate("downloadOSMPictureDialog", "NW point spec:"))
        self.label_2.setText(_translate("downloadOSMPictureDialog", "SE point spec:"))
        self.fullMapRange_button.setText(_translate("downloadOSMPictureDialog", "Full map range"))
        self.groupBox_2.setTitle(_translate("downloadOSMPictureDialog", "Image scale"))
        self.label_5.setText(_translate("downloadOSMPictureDialog", "OpenStreetMaps rejects requests for too large images. If your download fails or image is corrupt, try reducing the scale (i.e. increasing the right-hand value below)."))
        self.scale_edit.setPrefix(_translate("downloadOSMPictureDialog", "1:"))
        self.cancel_button.setText(_translate("downloadOSMPictureDialog", "Cancel"))
        self.OK_button.setText(_translate("downloadOSMPictureDialog", "OK"))

